> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all products

> Return available Products for a Service. For example, with a Provider of AWS and a Service of EC2, Products will be a list of all EC2 Instances. By default, this endpoint returns all Products across all Services and Providers but has optional query parameters for filtering listed below.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /products
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /products:
    get:
      tags:
        - Prices
      summary: Get all products
      description: >-
        Return available Products for a Service. For example, with a Provider of
        AWS and a Service of EC2, Products will be a list of all EC2 Instances.
        By default, this endpoint returns all Products across all Services and
        Providers but has optional query parameters for filtering listed below.
      operationId: getProducts
      parameters:
        - name: provider_id
          in: query
          description: >-
            Query by Provider to list all Products across all Services for a
            Provider. e.g. aws
          schema:
            type: string
        - name: service_id
          in: query
          description: >-
            Query by Service to list all Products for a specific provider
            service. e.g. aws-ec2
          schema:
            type: string
        - name: name
          in: query
          description: >-
            Query by name of the Product to see a list of products which match
            that name. e.g. m5a.16xlarge
          schema:
            type: string
        - name: page
          in: query
          description: The page of results to return.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The amount of results to return. The maximum is 1000
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products'
              example:
                links:
                  self: https://api.vantage.sh/v1/products
                  first: https://api.vantage.sh/v1/products?page=1
                  next: null
                  last: https://api.vantage.sh/v1/products?page=1
                  prev: null
                products:
                  - id: aws-ec2-m5d_16xlarge
                    category: compute
                    name: m5d.16xlarge
                    service_id: aws-ec2
                    provider_id: aws
                    details:
                      gpu: 0
                      name: M5 General Purpose 16xlarge
                      vcpu: 64
                      memory: 256
                      clock_speed_ghz: 3.1
                      physical_processor_description: Intel Xeon Platinum 8175 (Skylake)
                      network_performance_description: 20 Gigabit
                  - id: aws-ec2-c5a_8xlarge
                    category: compute
                    name: c5a.8xlarge
                    service_id: aws-ec2
                    provider_id: aws
                    details:
                      gpu: 0
                      name: C5A 8xlarge
                      vcpu: 64
                      memory: 256
                  - id: aws-ec2-c5a_4large
                    category: compute
                    name: c5a.4large
                    service_id: aws-ec2
                    provider_id: aws
                    details:
                      gpu: 0
                      name: C5A 4large
                      vcpu: 64
                      memory: 4
                  - id: aws-s3-standard
                    category: object_storage
                    name: standard
                    service_id: aws-s3
                    provider_id: aws
                    details: {}
      security:
        - oauth2:
            - read
components:
  schemas:
    Products:
      required:
        - products
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        products:
          type: array
          items:
            $ref: '#/components/schemas/Product'
      description: Products model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    Product:
      required:
        - category
        - details
        - id
        - name
        - provider_id
        - service_id
      type: object
      properties:
        id:
          type: string
          nullable: false
        category:
          type: string
          description: The category of the cloud product
          nullable: false
          example: compute
        name:
          type: string
          description: The common name of the product.
          nullable: false
          example: EC2
        service_id:
          type: string
          description: A unique slug for the service the product belongs to.
          nullable: false
          example: aws-ec2
        provider_id:
          type: string
          description: A unique slug for the provider the product belongs to.
          nullable: false
          example: aws
        details:
          type: object
          properties: {}
          description: An object of metadata about the product.
          nullable: false
          example:
            gpu: 0
            name: M5 General Purpose 16xlarge
            vcpu: 64
            memory: 256
            clock_speed_ghz: 3.1
            physical_processor_description: Intel Xeon Platinum 8175 (Skylake)
            network_performance_description: 20 Gigabit
      description: Product model
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````